Skip to main content
A section model powers the document structure analysis capabilities of the API. The model analyzes parsed Markdown content and generates a hierarchical table of contents. You can specify a model when calling the API directly or when using the client libraries. If you don’t specify a model, the API uses the latest section model (currently section-20260406).

Model Versions

The following table lists the available model values for the API:
Model ValuesDescription
section-20260406Use the section model snapshot released on April 6, 2026.
section-latestUse the latest section model snapshot.

Why Model Versioning Matters

When integrating the API, you have two options for specifying the model:
  1. Use section-latest to always get the newest version. This automatically gives you improvements and updates, but results may change when new model versions are released.
  2. Use a specific version (like section-20260406) to pin to an exact model version. This ensures consistent results over time, but you won’t receive improvements.

Set the Model in the API

When calling the endpoint, you can set the model using the model parameter. If you omit the model parameter, the API uses the latest model. This example shows how to specify a model:
curl -X POST 'https://api.va.landing.ai/v1/ade/section' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -F 'markdown=@parsed_output.md' \
  -F 'model=section-latest'

Set the Model with the Client Libraries

When using the Python or TypeScript library, you can set the model using the model parameter in the section() method. If you omit the model parameter, the library will use the latest section model.
from pathlib import Path
from landingai_ade import LandingAIADE

client = LandingAIADE()

response = client.section(
    markdown=Path("/path/to/parsed_output.md"),
    model="section-latest"
)